Summary:	Rsync libraries
Summary(pl.UTF-8):	Biblioteki rsync
Name:		librsync
Version:	2.3.2
Release:	2
License:	LGPL
Group:		Libraries
Source0:	https://github.com/librsync/librsync/archive/v%{version}.tar.gz
# Source0-md5:	74ba5b50de5ba3d595828e9109fa5fce
URL:		http://librsync.sourceforge.net/
BuildRequires:	cmake >= 3.6
BuildRequires:	popt-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
librsync implements the "rsync" algorithm, which allows remote
differencing of binary files. librsync computes a delta relative to a
file's checksum, so the two files need not both be present to generate
a delta.

This library was previously known as libhsync up to version 0.9.0.

The current version of this package does not implement the rsync
network protocol and uses a delta format slightly more efficient than
and incompatible with rsync 2.4.6.

%description -l pl.UTF-8
librsync jest implementacją algorytmu rsync, pozwalającego na zdalne
porównywanie plików binarnych. librsync liczy różnice sum kontrolnych
plików, więc nie wymaga obecności obu plików do sprawdzenia różnic.

Ta biblioteka była wcześniej znana jako libhsync, do wersji 0.9.0
włącznie.

Ta wersja nie ma implementacji sieciowego protokołu rsync i używa
formatu delt nieco wydajniejszego i niekompatybilnego z rsyncem w
wersji 2.4.6.

%package devel
Summary:	Headers for librsync
Summary(pl.UTF-8):	Pliki nagłówkowe librsync
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files necessary for developing programs
based on librsync.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne do budowania programów
używających librsync.

%prep
%setup -q

%build
install -d build
cd build
%{cmake} \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	 DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTING.md NEWS.md README.md THANKS TODO.md
%attr(755,root,root) %{_bindir}/rdiff
%attr(755,root,root) %{_libdir}/librsync.so.*.*
%attr(755,root,root) %ghost %{_libdir}/librsync.so.2
%{_mandir}/man1/rdiff.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/librsync.h
%{_includedir}/librsync_export.h
%{_mandir}/man3/librsync.3*
%changelog
* Thu Dec 09 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/librsync.git;a=log;h=master

* Thu Dec 09 2021 Jan Palus <atler@pld-linux.org> 64670ee
- package librsync_export.h; rel 2

* Tue Dec 07 2021 Jan Palus <atler@pld-linux.org> 665cfcf
- remove patches: format-security, 4Gigbug and link dropped from spec in 71f4f5d

* Tue Dec 07 2021 Jan Palus <atler@pld-linux.org> 2baa706
- up to 2.3.2

* Wed Apr 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 71f4f5d
- up to 2.0.2; static lib is gone

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> 07f536a
- fix format string error
- rel 6

* Mon Jan 09 2012 Paweł Gołaszewski <blues@pld-linux.org> 9c5441f
- rel.5 - support more than 4G

* Wed Nov 26 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 185def2
- release 4

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a468bf0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e9170d7
- converted to UTF-8

* Sat Apr 22 2006 Jan Rękorajski <baggins@pld-linux.org> 8902b61
- orphaned, outdated

* Mon May 23 2005 heretyk <heretyk@pld-linux.org> 69e1212
- package rdiff program binary instead of temporary wrapper script
- rel. 3, STBR

* Tue Oct 19 2004 havner <havner@pld-linux.org> 87825c5
- rel 2

* Mon Oct 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 0e950cc
- huh... added link patch, now only popt-devel is BRed (and not propagated)

* Mon Oct 18 2004 Jakub Bogusz <qboosh@pld-linux.org> a0b4b20
- libz and libbz2 are not used, popt needed only for rdiff utility

* Mon Oct 18 2004 Jakub Bogusz <qboosh@pld-linux.org> a35dda0
- BR+R: bzip2-devel,popt-devel,zlib-devel

* Mon Oct 18 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> 59a0704
- updated to 0.9.7 (important LFS fixes)

* Wed Sep 01 2004 snurf <snurf@pld-linux.org> b168cfb
- typos / formatting / etc.

* Tue Apr 20 2004 twittner <twittner@pld-linux.org> efdc690
- rel.2 for Ac

* Sat Aug 09 2003 areq <areq@pld-linux.org> 4da65c7
- for RA

* Sat Aug 09 2003 areq <areq@pld-linux.org> 5f736ec
- outdated

